Difference between revisions of "CompileProtege4InEclipseFromSvn"

From Protege Wiki

Jump to: navigation, search
(Created page with 'To follow these directions you will need the following tools: * Eclipse (of course) with the Plugin Development tools included. * A tool for checking out a repository from subver...')
 
Line 1: Line 1:
 +
== Prerequisites ==
 +
 
To follow these directions you will need the following tools:
 
To follow these directions you will need the following tools:
* Eclipse (of course) with the Plugin Development tools included.
+
* Eclipse (of course) with  
* A tool for checking out a repository from subversion.
+
** the Plugin Development tools included.  As indicated [http://www.eclipse.org/downloads/packages/compare-packages here], the plugin development environment comes with the Java EE or the RCP/Plugin versions of eclipse.
 +
** the [http://www.eclipse.org/subversive/documentation/gettingStarted/aboutSubversive/install.php Eclipse Subversive] plugin, though this is only required if you want to do svn updates using eclipse.
 +
* A tool for checking out a repository from subversion (e.g. tortoise or the svn command line client).
 
* A tool for extracting a zip file into a directory.
 
* A tool for extracting a zip file into a directory.
 
These directions are based on a preconfigured workspace which you can use for the build.
 
These directions are based on a preconfigured workspace which you can use for the build.
 +
 +
== Configuring Eclipse ==
  
 
'''Step 1: Checking out the workspace''' Use subversion to checkout the following workspace:
 
'''Step 1: Checking out the workspace''' Use subversion to checkout the following workspace:

Revision as of 17:12, January 7, 2010

Prerequisites

To follow these directions you will need the following tools:

  • Eclipse (of course) with
    • the Plugin Development tools included. As indicated here, the plugin development environment comes with the Java EE or the RCP/Plugin versions of eclipse.
    • the Eclipse Subversive plugin, though this is only required if you want to do svn updates using eclipse.
  • A tool for checking out a repository from subversion (e.g. tortoise or the svn command line client).
  • A tool for extracting a zip file into a directory.

These directions are based on a preconfigured workspace which you can use for the build.

Configuring Eclipse

Step 1: Checking out the workspace Use subversion to checkout the following workspace:

    http://smi-protege.stanford.edu/repos/protege/protege4/ide/protege4.1

If you are using command line tools you can do this with the svn command

    svn checkout http://smi-protege.stanford.edu/repos/protege/protege4/ide/protege4.1

Step 2: Install the Eclipse metadata Inside the directory that you just checked out is a file called metadata.zip. Extract this file into the created directory.

Step 3: Load the Workspace Start eclipse and choose the newly created directory as the workspace. You should see seven projects. Select them all, right click and select refresh.

Step 4: Run Protege (The easy and better way) This step is a bit problematic on the mac but works for linux and windows machines. Click on the down arrow just to the right of the little bug (near the top of the eclipse window perhaps just under the Refactor menu). Select Protege (not Protege.From.Build). This should start Protege.

Step 5: Run Protege the Harder Way The second icon to the right of the little bug is a run icon with a suitcase. Click the little down arrow beside this icon and run the following scripts in this order:

  1. Build.Protege.Infrastructure
  2. Build.Common
  3. Build.Core
  4. Build.Owlapi.Lib
  5. Build.Owl.Editor
  6. Build.OwlViz

Now we have built a Protege distribution and we can run the other runnable in the bug menu. Click the down arrow beside the little bug and select run Protege from build.

Step 6: Add your plugin Just make your plugin into a plugin development project. If you are able to run protege the easy way then your plugin will be included. If you run protege the harder way then you will need to install your plugin into the protege distribution that we have created.

Personal tools